diff -ruN -x configure -x *~ -x ircd-hybrid-6b124.orig -x *.rej ircd-hybrid-6b124.orig/src/s_user.c ircd-hybrid-6b124/src/s_user.c
--- ircd-hybrid-6b124.orig/src/s_user.c	Sun Apr 30 12:17:21 2000
+++ ircd-hybrid-6b124/src/s_user.c	Sun Apr 30 12:17:07 2000
@@ -67,7 +67,7 @@
 
 static int do_user (char *, aClient *, aClient*, char *, char *, char *,
                      char *);
-
+static time_t record_time = 0;
 static int nickkilldone(aClient *, aClient *, int, char **, time_t, char *);
 int valid_hostname(const char* hostname);
 int valid_username(const char* username);
@@ -783,7 +783,7 @@
         {
           Count.max_loc = Count.local;
           if (!(Count.max_loc % 10))
-            sendto_ops("New Max Local Clients: %d",
+            sendto_ops("New local record: %d users",
                        Count.max_loc);
         }
     }
@@ -812,8 +812,14 @@
                             (isdigit(sptr->host[0])) ? "[dns fail] " : "");
 /* Increment our total user count here */
   if (++Count.total > Count.max_tot)
-    Count.max_tot = Count.total;
-
+    {
+      Count.max_tot = Count.total;
+      if ( (!(Count.max_tot % 2)) && (record_time < CurrentTime - 30) )
+        {
+          sendto_ops_flags(FLAGS_SERVNOTICE, "New network record: %d users (%d local)", Count.max_tot, Count.max_loc);
+          record_time = CurrentTime;
+      }
+    }
   if (MyConnect(sptr))
     {
       sendto_one(sptr, form_str(RPL_WELCOME), me.name, nick, nick);
